PaDeviceInfo Struct Reference

`#include <portaudio.h>`

## Data Fields

int | structVersion
const char * | name
PaHostApiIndex | hostApi
int | maxInputChannels
int | maxOutputChannels
PaTime | defaultLowInputLatency
PaTime | defaultLowOutputLatency
PaTime | defaultHighInputLatency
PaTime | defaultHighOutputLatency
double | defaultSampleRate

## Detailed Description

A structure providing information and capabilities of PortAudio devices. Devices may support input, output or both input and output.

Definition at line 500 of file portaudio.h.

## Field Documentation

## defaultHighInputLatency

PaTime PaDeviceInfo::defaultHighInputLatency

Default latency values for robust non-interactive applications (eg. playing sound files).

Definition at line 513 of file portaudio.h.

## defaultLowInputLatency

PaTime PaDeviceInfo::defaultLowInputLatency

Default latency values for interactive performance.

Definition at line 510 of file portaudio.h.

## hostApi

PaHostApiIndex PaDeviceInfo::hostApi

note this is a host API index, not a type id

Definition at line 504 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h